echo ""
echo "SSH_Private_Key_Login 1.0 by Andreas Prang"

read -p "Please enter target ssh server (FQN or IP): " server_name

read -p "Please enter user on target ssh server (root): " server_user
server_user=${server_user:-root}

read -p "Please enter a local path where to save keys (~/Documents/myKeys/"$server_name"/): " local_key_path
local_key_path=${local_key_path:-~/Documents/myKeys/$server_name/}

# check for slash at the end
if [ "${local_key_path:LEN - 1}" != "/" ]; then
  echo "Adding trailing slash"
  local_key_path=$local_key_path"/"
fi

echo "Creating Path "$local_key_path
mkdir -p $local_key_path

echo "Creating Certificates"
ssh-keygen -t dsa -f $local_key_path$server_name

echo "Copy public key to "$server_name
scp $local_key_path""$server_name".pub" $server_user@""$server_name":~/"

echo "-----------------------------------------------------------------"

echo "Setup key on "$server_name
ssh $server_user@$server_name "mkdir -p ~/.ssh/;touch ~/.ssh/authorized_keys2;cat ~/"$server_name".pub >> ~/.ssh/authorized_keys2;rm ~/"$server_name".pub"

echo "Add private key to known hosts"
mkdir ~/.ssh			
touch ~/.ssh/known_hosts
cat $local_key_path""$server_name >> ~/.ssh/known_hosts

echo "Register private key on local machine"
ssh-add $local_key_path""$server_name